curl --request POST \
--url https://api.leadping.ai/phone-numbers/is-available-for-purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "<string>"
}
'import requests
url = "https://api.leadping.ai/phone-numbers/is-available-for-purchase"
payload = { "phoneNumber": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/phone-numbers/is-available-for-purchase");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"phoneNumber\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/phone-numbers/is-available-for-purchase")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phoneNumber\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '<string>'})
};
fetch('https://api.leadping.ai/phone-numbers/is-available-for-purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/phone-numbers/is-available-for-purchase"
payload := strings.NewReader("{\n \"phoneNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/phone-numbers/is-available-for-purchase",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phoneNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"phoneNumber": "<string>",
"isAvailable": true,
"price": 123,
"currency": "<string>",
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": 123,
"longitude": 123
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
}
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}Check phone number purchase availability
Checks whether a phone number can be purchased for the current organization before creating or assigning it.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Body
The phone number availability request.
Defines the phone number and capability requirements Leadping should verify before purchase or assignment.
Phone number to check for availability, formatted for provider lookup.
Response
Returns the phone number availability response.
Reports whether a phone number is available for purchase or assignment and explains any blocking condition.
Phone number used by this phone number availability result for calls, SMS, lookup, or routing.
Indicates whether this phone number is available for purchase or assignment.
Lead price or transaction price supplied to the Leadping API.
ISO currency code used for the monetary amounts in this phone number availability result.
Geographic location metadata for the phone number, lead, or lookup result.
Show child attributes
Show child attributes

